Subject: bug#37348: Force https redirect missing from ci, workflow and workflows guix.info sub-domains

From: Christopher Baines <[email-masked]>
Date: Mon, 09 Sep 2019 07:47:44 +0100

Collin J. Doering <[email-masked]> writes:

> Not sure where the best place to report this, however today I noticed
> that ci.guix.info, workflow.guix.info and workflows.guix.info do not
> redirect http to https, though its also served over https.

I'm unsure if this is intentional, or something to change.

There are security advantages to forcing all users to use HTTPS, with
the disadvantage that some of those users might not want to use
HTTPS. I'm not sure whether the need for security on those domains is
high enough to justify not supporting plain HTTP...